/**************************/
/*COMMERNT */
/**************************/

#review_form_wrapper form,
#commentform {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  -moz-column-gap: 2.8rem;
  column-gap: 1.5rem;
  row-gap: 2.5rem;
}

.comment-notes,
#reviews>#review_form_wrapper #reply-title {
  display: none;
}

.comment-notes {
  display: none;
}

.form-submit,
.comment-form-comment,
.comment-form-mobile {
  grid-column: 1/-1;
}

.form-submit {
  justify-self: center;
}

.cat-parent{
    position: relative;
    margin-right: 0 !important;
}
.cat-parent li {
  list-style: none !important;
}
.comment_container,
.commentlist li:not(:last-child) {
  margin-bottom: clamp(1.5rem, 2vw, 2rem);
}

.commentlist .comment_container {
  margin: 20px 0;
  position: relative;
  padding: 16px 48px !important;
}

.editor-content ul:not(.acf-checkbox-list, .acf-radio-list, .acf-bl) li {
  text-indent: unset !important;
}

.byadmin.comment_container::before {
  background: #fff;
}

.head-comment {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 24px;
  background: rgba(237, 239, 247, 1);
  border: 1px solid rgba(237, 239, 247, 1);
  padding: 16px 24px;
}

.logo {
  display: flex;
}

.logo:before {
  content: "";
  background: url(../img/logo.svg) no-repeat;
  width: 36px;
  height: 36px;
  background-size: contain;
  line-height: 1;
  display: inline-block;
}


.author_comment img {
  width: 52px;
  -o-object-fit: contain;
  object-fit: contain;
  background: var(--color3);
  border-radius: 0 0 4px 4px;
  padding: 0 5px;
  height: 52px;
}

.author_comment .icon-account {
  width: 2.5rem;
  height: 2.5rem;
  background: var(--c-primary);
  border-radius: 100vw;
  color: var(--c-neutral-000);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
}

.byadmin>.comment_container .meta_comment {
  background-color: var(--c-primary);
}

.name_comment img {
  width: 30px;
  height: 30px;
  border-radius: 50%;
}

.name_comment {
  font-size: 16px;
  color: #2a2d30;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}
.author_comment span {
  display: inline-block;
  margin-top: 1rem;
}

.woocommerce-noreviews {
  display: none;
}

.text-comment {
  line-height: 2.5;
  padding-top: min(1rem, 3vw);
}

.time_comment {
  font-weight: 600;
  font-size: 16px;
  line-height: 34px;
  color: rgba(42, 45, 48, 1);  
}

.time_comment i {
  color: var(--color1) !important;
  font-size: 18px;
}

.time_comment i::before {
  color: #000000;
}

.commentlist>ul.children {
  padding-right: min(7rem, 8vw);
  position: relative;
  margin-bottom: 2rem;
  display: block !important;
}

.children::before {
  content: "\e917";
  position: absolute;
  width: 34px;
  height: 34px;
  z-index: 2;
  right: 63px;
  font-family: 'icomoon' !important;
  color: rgba(13, 56, 83, 1);
  font-size: 34px;
  top: 30px;
}

.byadmin.comment_container>.head-comment .name_comment {
  background: transparent;
  padding: 0;
}

.byadmin.comment_container>.head-comment .name_comment i {
  background: transparent;
}

.item-comment.byadmin>.comment_container {
  border-color: var(--c-primary);
}

.comment-awaiting-moderation {
  color: var(--danger);
  text-align: center;
  display: block;
  background: var(--bg-danger);
  font-style: normal;
  font-weight: 500;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

.text_comment.editor-content.main-content p {
  font-size: 14px;
  color: #2a2d30;
  font-variation-settings: "wght" 400;
  padding: 0 24px;
}

.text_comment.editor-content.main-content>*+* {
  margin-top: 0.5rem;
}

.comment-reply-link {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  font-size: 16px;
  transition: 0.3s;
  margin-right: auto;
  width: max-content;
  transform: translateY(16px);
  margin-bottom: 18px;
  text-decoration: none !important;
  color: rgba(42, 45, 48, 1) !important;
  gap: 8px;
  border-bottom: 1px solid transparent;
}

.comment-reply-link::after {
  content: "\e929";
  color: rgba(42, 45, 48, 1);
  font-family: 'icomoon' !important;
  font-size: 14px;
}

a.comment-reply-link:hover {
  text-decoration: none !important;
}

.comment-rate {
  display: flex;
  min-width: 4.8rem;
  border-radius: 12px;
  color: var(--text-primary);
  justify-content: center;
  align-items: center;
  gap: 7px;
  padding: 0.5rem 1rem 0.5rem 1.5rem;
  font-size: var(--fs-13);
  border: 1px solid var(--br2-300);
}

.comment-rate i {
  vertical-align: baseline;
  font-size: 20px;
}

.comment-rate b {
  font-size: var(--fs-15);
}

.footer--comment {
  display: flex;
  align-items: center;
  margin-top: 1rem;
}

.comment-reply-title {
  display: flex;
  gap: min(2rem, 3vw);
  border: 1px dashed var(--color1);
  padding: 1rem 3rem;
  margin-top: 2rem;
  margin-bottom: 4rem;
  font-size: 14px;
  flex-wrap: wrap;
  align-items: baseline;
  justify-content: space-between;
}

#cancel-comment-reply-link {
  background: #0d3853;
  padding: 0.5rem 2rem;
  color: #fafafa;
  border: 1px solid #0d3853;
  text-decoration: none;
  border-radius: 8px;
}

#cancel-comment-reply-link:hover {
  background: transparent;
  color: var(--color1);
}

.isreply {
  position: absolute;
  right: -90px;
  top: 50%;
  transform: translateY(-50%);
  width: 35px;
  height: 35px;
  color: var(--color1);
  background-color: #E8E2DD;
  border-radius: 50%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  transform: rotate(90deg);
}

.must-log-in,
.woocommerce-verification-required {
  border: 1px solid var(--danger);
  border-radius: 12px;
  padding: 1rem;
  text-align: center;
  margin-bottom: 6rem;
  color: var(--danger);
}

.comment-form-comment,
.comment-form-email,
.comment-form-author {
  position: relative;
}

/* load more */

.editor-content.main-content.text-comment>*+* {
  margin: 0;
}



.comment-form-author,
.comment-form-email,
.comment-form-comment {
  display: flex;
  flex-direction: column;
}

.comment-form-author label, .comment-form-email label, .comment-form-comment label {
  width: max-content;
  background: #fff;
  font-weight: 600;
  font-size: 13px;
  color: #333f48;
  text-align: right;
  display: inline-block;
  padding: 3px 12px !important;
  margin: 2px 24px 0px 0 !important;
  z-index: 4;
  position: absolute;
  top: -10px;
  line-height: 1;
}
.comment-form :is(input[type="text"],
    input[type="email"],
    textarea
    ):focus-visible {
    border-color: var(--color1);
}
.comment-form-author input, .comment-form-email input, .comment-form-comment textarea {
  font-family: inherit;
  padding: 18px 38px !important;
  border: 1px solid rgba(223, 226, 247, 1);
  height: 3.5rem;
  background-color: #fff;
  transition: 0.3s;
  width: 100%;
  text-overflow: ellipsis;
  position: relative;
  display: block;
}
.comment-form-comment textarea {
  height: 15rem !important;
}
.comment-form-author input::placeholder,
.comment-form-email input::placeholder,
.comment-form-comment textarea::placeholder {
  opacity: 0.5;
  font-size: 13px;
  text-align: right;
}
.error-msg:not(:empty):before {
  content: '';
  background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.0013 13.3337H10.0096M10.0013 6.66699V10.0003M12.7613 1.66699C13.2033 1.66709 13.6271 1.84274 13.9396 2.15533L17.8463 6.06199C18.1589 6.37448 18.3345 6.79833 18.3346 7.24033V12.7603C18.3345 13.2023 18.1589 13.6262 17.8463 13.9387L13.9396 17.8453C13.6271 18.1579 13.2033 18.3336 12.7613 18.3337H7.2413C6.79931 18.3336 6.37546 18.1579 6.06297 17.8453L2.1563 13.9387C1.84372 13.6262 1.66806 13.2023 1.66797 12.7603V7.24033C1.66806 6.79833 1.84372 6.37448 2.1563 6.06199L6.06297 2.15533C6.37546 1.84274 6.79931 1.66709 7.2413 1.66699H12.7613Z' stroke='%23A71100' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: absolute;
  right: -19px;
  width: 15px;
  height: 16px;
  top: -3px;
}
.error-msg {
  font-size: 10px;
  line-height: 1;
  margin: 0;
  margin-bottom: 0px;
  text-shadow: none;
  color: #A71100;
  position: absolute;
  bottom: -20px;
  right: 1rem;
}

/**************************/
/* ABOVE 768px */
/**************************/
@media (min-width: 48em) {
  .commentlist .children li .isreply {
    right: -52px;
  }
}

/**************************/
/* ABOVE 992px */
/**************************/
@media (min-width: 62em) {
  .author-post-text {
    flex: 1;
  }

  .commentlist>.cat-parent>ul.children {
    padding-right: 110px;
  }

  .commentlist .children li .isreply {
    left: 24px;
  }

  .commentlist .comment_container {
    margin: 18px 0;
  }

  .comment_container::before {
    width: calc(100% - 80px);
  }
}

/**************************/
/* BELOW 576px */
/**************************/
@media (max-width: 35.99em) {
  .commentlist .comment_container {
    padding-top: 40px;
  }

  .comment_container::before {
    top: 19px;
  }

  .commentlist>ul.children {
    padding-right: 2.2rem;
  }

  #review_form_wrapper form,
  #commentform {
    grid-template-columns: minmax(0, 1fr);
  }

  .isreply {
    right: -42px;
  }
}

@media (max-width: 991px) {
  .commentlist .comment_container {
    padding: 20px 16px !important;
  }

  .time_comment {
    font-size: 14px;
  }

  .name_comment {
    font-size: 16px;
    padding: 0;
  }

  .name_comment img {
    width: 24px;
    height: 24px;
  }

  .head-comment {
    margin-bottom: 13px;
    padding-bottom: 13px;
  }

  .commentlist .comment_container {
    padding: 0 !important;
    margin-bottom: 32px !important;
  }

  .children::before {
    transform: translateY(-50%);
    top: 25px;
    right: 0;
  }

  .commentlist>ul.children {
    margin: 0 !important;
  }
}